package org.moreunit.test.workspace;

import java.util.HashMap;
import java.util.Map;

import org.eclipse.jdt.core.IJavaProject;

public class JavaProjectOptions
{
    private static Map<String, String> OPTS = new HashMap<String, String>();
    static
    {
        OPTS.put("org.eclipse.jdt.core.builder.cleanOutputFolder", "clean");
        OPTS.put("org.eclipse.jdt.core.builder.duplicateResourceTask", "warning");
        OPTS.put("org.eclipse.jdt.core.builder.invalidClasspath", "abort");
        OPTS.put("org.eclipse.jdt.core.builder.recreateModifiedClassFileInOutputFolder", "ignore");
        OPTS.put("org.eclipse.jdt.core.builder.resourceCopyExclusionFilter", "");
        OPTS.put("org.eclipse.jdt.core.circularClasspath", "error");
        OPTS.put("org.eclipse.jdt.core.classpath.exclusionPatterns", "enabled");
        OPTS.put("org.eclipse.jdt.core.classpath.multipleOutputLocations", "enabled");
        OPTS.put("org.eclipse.jdt.core.classpath.outputOverlappingAnotherSource", "error");
        OPTS.put("org.eclipse.jdt.core.codeComplete.argumentPrefixes", "");
        OPTS.put("org.eclipse.jdt.core.codeComplete.argumentSuffixes", "");
        OPTS.put("org.eclipse.jdt.core.codeComplete.camelCaseMatch", "enabled");
        OPTS.put("org.eclipse.jdt.core.codeComplete.deprecationCheck", "disabled");
        OPTS.put("org.eclipse.jdt.core.codeComplete.discouragedReferenceCheck", "disabled");
        OPTS.put("org.eclipse.jdt.core.codeComplete.fieldPrefixes", "");
        OPTS.put("org.eclipse.jdt.core.codeComplete.fieldSuffixes", "");
        OPTS.put("org.eclipse.jdt.core.codeComplete.forbiddenReferenceCheck", "enabled");
        OPTS.put("org.eclipse.jdt.core.codeComplete.forceImplicitQualification", "disabled");
        OPTS.put("org.eclipse.jdt.core.codeComplete.localPrefixes", "");
        OPTS.put("org.eclipse.jdt.core.codeComplete.localSuffixes", "");
        OPTS.put("org.eclipse.jdt.core.codeComplete.staticFieldPrefixes", "");
        OPTS.put("org.eclipse.jdt.core.codeComplete.staticFieldSuffixes", "");
        OPTS.put("org.eclipse.jdt.core.codeComplete.staticFinalFieldPrefixes", "");
        OPTS.put("org.eclipse.jdt.core.codeComplete.staticFinalFieldSuffixes", "");
        OPTS.put("org.eclipse.jdt.core.codeComplete.suggestStaticImports", "enabled");
        OPTS.put("org.eclipse.jdt.core.codeComplete.visibilityCheck", "disabled");
        OPTS.put("org.eclipse.jdt.core.compiler.annotation.missingNonNullByDefaultAnnotation", "ignore");
        OPTS.put("org.eclipse.jdt.core.compiler.annotation.nonnull", "org.eclipse.jdt.annotation.NonNull");
        OPTS.put("org.eclipse.jdt.core.compiler.annotation.nonnullbydefault", "org.eclipse.jdt.annotation.NonNullByDefault");
        OPTS.put("org.eclipse.jdt.core.compiler.annotation.nullable", "org.eclipse.jdt.annotation.Nullable");
        OPTS.put("org.eclipse.jdt.core.compiler.annotation.nullanalysis", "disabled");
        OPTS.put("org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode", "enabled");
        OPTS.put("org.eclipse.jdt.core.compiler.codegen.targetPlatform", "1.5");
        OPTS.put("org.eclipse.jdt.core.compiler.codegen.unusedLocal", "preserve");
        OPTS.put("org.eclipse.jdt.core.compiler.compliance", "1.5");
        OPTS.put("org.eclipse.jdt.core.compiler.debug.lineNumber", "generate");
        OPTS.put("org.eclipse.jdt.core.compiler.debug.localVariable", "generate");
        OPTS.put("org.eclipse.jdt.core.compiler.debug.sourceFile", "generate");
        OPTS.put("org.eclipse.jdt.core.compiler.doc.comment.support", "enabled");
        OPTS.put("org.eclipse.jdt.core.compiler.generateClassFiles", "enabled");
        OPTS.put("org.eclipse.jdt.core.compiler.groovy.groovyTransformsToRunOnReconcile", "");
        OPTS.put("org.eclipse.jdt.core.compiler.maxProblemPerUnit", "100");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.annotationSuperInterface", "warning");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.assertIdentifier", "error");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.autoboxing", "ignore");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.comparingIdentical", "warning");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.deadCode", "warning");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.deadCodeInTrivialIfStatement", "disabled");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.deprecation", "warning");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.deprecationInDeprecatedCode", "disabled");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.deprecationWhenOverridingDeprecatedMethod", "disabled");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.discouragedReference", "warning");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.emptyStatement", "ignore");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.enumIdentifier", "error");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.explicitlyClosedAutoCloseable", "ignore");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.fallthroughCase", "ignore");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.fatalOptionalError", "disabled");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.fieldHiding", "ignore");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.finalParameterBound", "warning");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.finallyBlockNotCompletingNormally", "warning");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.forbiddenReference", "error");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.hiddenCatchBlock", "warning");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.includeNullInfoFromAsserts", "disabled");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.incompatibleNonInheritedInterfaceMethod", "warning");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.incompleteEnumSwitch", "warning");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.indirectStaticAccess", "ignore");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.invalidImport", "error");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.invalidJavadoc", "ignore");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.invalidJavadocTags", "disabled");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.invalidJavadocTagsDeprecatedRef", "disabled");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.invalidJavadocTagsNotVisibleRef", "disabled");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.invalidJavadocTagsVisibility", "public");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.localVariableHiding", "ignore");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.methodWithConstructorName", "warning");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.missingDefaultCase", "ignore");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.missingDeprecatedAnnotation", "ignore");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.missingEnumCaseDespiteDefault", "disabled");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.missingHashCodeMethod", "ignore");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.missingJavadocComments", "ignore");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.missingJavadocCommentsOverriding", "disabled");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.missingJavadocCommentsVisibility", "public");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.missingJavadocTagDescription", "return_tag");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.missingJavadocTags", "ignore");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.missingJavadocTagsMethodTypeParameters", "disabled");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.missingJavadocTagsOverriding", "disabled");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.missingJavadocTagsVisibility", "public");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.missingOverrideAnnotation", "ignore");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.missingOverrideAnnotationForInterfaceMethodImplementation", "enabled");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.missingSerialVersion", "warning");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.missingSynchronizedOnInheritedMethod", "ignore");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.noEffectAssignment", "warning");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.noImplicitStringConversion", "warning");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.nonExternalizedStringLiteral", "ignore");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.nullAnnotationInferenceConflict", "error");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.nullReference", "warning");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.nullSpecViolation", "error");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.nullUncheckedConversion", "warning");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.overridingMethodWithoutSuperInvocation", "ignore");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.overridingPackageDefaultMethod", "warning");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.parameterAssignment", "ignore");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.possibleAccidentalBooleanAssignment", "ignore");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.potentialNullReference", "ignore");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.potentiallyUnclosedCloseable", "ignore");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.rawTypeReference", "warning");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.redundantNullAnnotation", "warning");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.redundantNullCheck", "ignore");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.redundantSpecificationOfTypeArguments", "ignore");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.redundantSuperinterface", "ignore");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.reportMethodCanBePotentiallyStatic", "ignore");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.reportMethodCanBeStatic", "ignore");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.specialParameterHidingField", "disabled");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.staticAccessReceiver", "warning");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.suppressOptionalErrors", "disabled");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.suppressWarnings", "enabled");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.syntheticAccessEmulation", "ignore");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.tasks", "warning");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.typeParameterHiding", "warning");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.unavoidableGenericTypeProblems", "enabled");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.uncheckedTypeOperation", "warning");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.unclosedCloseable", "warning");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.undocumentedEmptyBlock", "ignore");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.unhandledWarningToken", "warning");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.unnecessaryElse", "ignore");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.unnecessaryTypeCheck", "ignore");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.unqualifiedFieldAccess", "ignore");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.unreachableCode", "error");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.unusedDeclaredThrownException", "ignore");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.unusedDeclaredThrownExceptionExemptExceptionAndThrowable", "enabled");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.unusedDeclaredThrownExceptionIncludeDocCommentReference", "enabled");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.unusedDeclaredThrownExceptionWhenOverriding", "disabled");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.unusedImport", "warning");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.unusedLabel", "warning");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.unusedLocal", "warning");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.unusedObjectAllocation", "ignore");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.unusedParameter", "ignore");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.unusedParameterIncludeDocCommentReference", "enabled");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.unusedParameterWhenImplementingAbstract", "disabled");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.unusedParameterWhenOverridingConcrete", "disabled");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.unusedPrivateMember", "warning");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.unusedTypeArgumentsForMethodInvocation", "warning");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.unusedWarningToken", "warning");
        OPTS.put("org.eclipse.jdt.core.compiler.problem.varargsArgumentNeedCast", "warning");
        OPTS.put("org.eclipse.jdt.core.compiler.processAnnotations", "disabled");
        OPTS.put("org.eclipse.jdt.core.compiler.source", "1.5");
        OPTS.put("org.eclipse.jdt.core.compiler.taskCaseSensitive", "enabled");
        OPTS.put("org.eclipse.jdt.core.compiler.taskPriorities", "NORMAL,HIGH,NORMAL");
        OPTS.put("org.eclipse.jdt.core.compiler.taskTags", "TODO,FIXME,XXX");
        OPTS.put("org.eclipse.jdt.core.computeJavaBuildOrder", "ignore");
        OPTS.put("org.eclipse.jdt.core.encoding", "UTF-8");
        OPTS.put("org.eclipse.jdt.core.formatter.align_type_members_on_columns", "false");
        OPTS.put("org.eclipse.jdt.core.formatter.alignment_for_arguments_in_allocation_expression", "16");
        OPTS.put("org.eclipse.jdt.core.formatter.alignment_for_arguments_in_annotation", "0");
        OPTS.put("org.eclipse.jdt.core.formatter.alignment_for_arguments_in_enum_constant", "16");
        OPTS.put("org.eclipse.jdt.core.formatter.alignment_for_arguments_in_explicit_constructor_call", "16");
        OPTS.put("org.eclipse.jdt.core.formatter.alignment_for_arguments_in_method_invocation", "16");
        OPTS.put("org.eclipse.jdt.core.formatter.alignment_for_arguments_in_qualified_allocation_expression", "16");
        OPTS.put("org.eclipse.jdt.core.formatter.alignment_for_assignment", "0");
        OPTS.put("org.eclipse.jdt.core.formatter.alignment_for_binary_expression", "16");
        OPTS.put("org.eclipse.jdt.core.formatter.alignment_for_compact_if", "16");
        OPTS.put("org.eclipse.jdt.core.formatter.alignment_for_conditional_expression", "80");
        OPTS.put("org.eclipse.jdt.core.formatter.alignment_for_enum_constants", "0");
        OPTS.put("org.eclipse.jdt.core.formatter.alignment_for_expressions_in_array_initializer", "16");
        OPTS.put("org.eclipse.jdt.core.formatter.alignment_for_method_declaration", "0");
        OPTS.put("org.eclipse.jdt.core.formatter.alignment_for_multiple_fields", "16");
        OPTS.put("org.eclipse.jdt.core.formatter.alignment_for_parameters_in_constructor_declaration", "16");
        OPTS.put("org.eclipse.jdt.core.formatter.alignment_for_parameters_in_method_declaration", "16");
        OPTS.put("org.eclipse.jdt.core.formatter.alignment_for_resources_in_try", "80");
        OPTS.put("org.eclipse.jdt.core.formatter.alignment_for_selector_in_method_invocation", "16");
        OPTS.put("org.eclipse.jdt.core.formatter.alignment_for_superclass_in_type_declaration", "16");
        OPTS.put("org.eclipse.jdt.core.formatter.alignment_for_superinterfaces_in_enum_declaration", "16");
        OPTS.put("org.eclipse.jdt.core.formatter.alignment_for_superinterfaces_in_type_declaration", "16");
        OPTS.put("org.eclipse.jdt.core.formatter.alignment_for_throws_clause_in_constructor_declaration", "16");
        OPTS.put("org.eclipse.jdt.core.formatter.alignment_for_throws_clause_in_method_declaration", "16");
        OPTS.put("org.eclipse.jdt.core.formatter.alignment_for_union_type_in_multicatch", "16");
        OPTS.put("org.eclipse.jdt.core.formatter.blank_lines_after_imports", "1");
        OPTS.put("org.eclipse.jdt.core.formatter.blank_lines_after_package", "1");
        OPTS.put("org.eclipse.jdt.core.formatter.blank_lines_before_field", "0");
        OPTS.put("org.eclipse.jdt.core.formatter.blank_lines_before_first_class_body_declaration", "0");
        OPTS.put("org.eclipse.jdt.core.formatter.blank_lines_before_imports", "1");
        OPTS.put("org.eclipse.jdt.core.formatter.blank_lines_before_member_type", "1");
        OPTS.put("org.eclipse.jdt.core.formatter.blank_lines_before_method", "1");
        OPTS.put("org.eclipse.jdt.core.formatter.blank_lines_before_new_chunk", "1");
        OPTS.put("org.eclipse.jdt.core.formatter.blank_lines_before_package", "0");
        OPTS.put("org.eclipse.jdt.core.formatter.blank_lines_between_import_groups", "1");
        OPTS.put("org.eclipse.jdt.core.formatter.blank_lines_between_type_declarations", "1");
        OPTS.put("org.eclipse.jdt.core.formatter.brace_position_for_annotation_type_declaration", "end_of_line");
        OPTS.put("org.eclipse.jdt.core.formatter.brace_position_for_anonymous_type_declaration", "end_of_line");
        OPTS.put("org.eclipse.jdt.core.formatter.brace_position_for_array_initializer", "end_of_line");
        OPTS.put("org.eclipse.jdt.core.formatter.brace_position_for_block", "end_of_line");
        OPTS.put("org.eclipse.jdt.core.formatter.brace_position_for_block_in_case", "end_of_line");
        OPTS.put("org.eclipse.jdt.core.formatter.brace_position_for_constructor_declaration", "end_of_line");
        OPTS.put("org.eclipse.jdt.core.formatter.brace_position_for_enum_constant", "end_of_line");
        OPTS.put("org.eclipse.jdt.core.formatter.brace_position_for_enum_declaration", "end_of_line");
        OPTS.put("org.eclipse.jdt.core.formatter.brace_position_for_method_declaration", "end_of_line");
        OPTS.put("org.eclipse.jdt.core.formatter.brace_position_for_switch", "end_of_line");
        OPTS.put("org.eclipse.jdt.core.formatter.brace_position_for_type_declaration", "end_of_line");
        OPTS.put("org.eclipse.jdt.core.formatter.comment.clear_blank_lines_in_block_comment", "false");
        OPTS.put("org.eclipse.jdt.core.formatter.comment.clear_blank_lines_in_javadoc_comment", "false");
        OPTS.put("org.eclipse.jdt.core.formatter.comment.format_block_comments", "true");
        OPTS.put("org.eclipse.jdt.core.formatter.comment.format_header", "false");
        OPTS.put("org.eclipse.jdt.core.formatter.comment.format_html", "true");
        OPTS.put("org.eclipse.jdt.core.formatter.comment.format_javadoc_comments", "true");
        OPTS.put("org.eclipse.jdt.core.formatter.comment.format_line_comments", "true");
        OPTS.put("org.eclipse.jdt.core.formatter.comment.format_source_code", "true");
        OPTS.put("org.eclipse.jdt.core.formatter.comment.indent_parameter_description", "true");
        OPTS.put("org.eclipse.jdt.core.formatter.comment.indent_root_tags", "true");
        OPTS.put("org.eclipse.jdt.core.formatter.comment.insert_new_line_before_root_tags", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.comment.insert_new_line_for_parameter", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.comment.line_length", "80");
        OPTS.put("org.eclipse.jdt.core.formatter.comment.new_lines_at_block_boundaries", "true");
        OPTS.put("org.eclipse.jdt.core.formatter.comment.new_lines_at_javadoc_boundaries", "true");
        OPTS.put("org.eclipse.jdt.core.formatter.comment.preserve_white_space_between_code_and_line_comments", "false");
        OPTS.put("org.eclipse.jdt.core.formatter.compact_else_if", "true");
        OPTS.put("org.eclipse.jdt.core.formatter.continuation_indentation", "2");
        OPTS.put("org.eclipse.jdt.core.formatter.continuation_indentation_for_array_initializer", "2");
        OPTS.put("org.eclipse.jdt.core.formatter.disabling_tag", "@formatter:off");
        OPTS.put("org.eclipse.jdt.core.formatter.enabling_tag", "@formatter:on");
        OPTS.put("org.eclipse.jdt.core.formatter.format_guardian_clause_on_one_line", "false");
        OPTS.put("org.eclipse.jdt.core.formatter.format_line_comment_starting_on_first_column", "true");
        OPTS.put("org.eclipse.jdt.core.formatter.indent_body_declarations_compare_to_annotation_declaration_header", "true");
        OPTS.put("org.eclipse.jdt.core.formatter.indent_body_declarations_compare_to_enum_constant_header", "true");
        OPTS.put("org.eclipse.jdt.core.formatter.indent_body_declarations_compare_to_enum_declaration_header", "true");
        OPTS.put("org.eclipse.jdt.core.formatter.indent_body_declarations_compare_to_type_header", "true");
        OPTS.put("org.eclipse.jdt.core.formatter.indent_breaks_compare_to_cases", "true");
        OPTS.put("org.eclipse.jdt.core.formatter.indent_empty_lines", "false");
        OPTS.put("org.eclipse.jdt.core.formatter.indent_statements_compare_to_block", "true");
        OPTS.put("org.eclipse.jdt.core.formatter.indent_statements_compare_to_body", "true");
        OPTS.put("org.eclipse.jdt.core.formatter.indent_switchstatements_compare_to_cases", "true");
        OPTS.put("org.eclipse.jdt.core.formatter.indent_switchstatements_compare_to_switch", "false");
        OPTS.put("org.eclipse.jdt.core.formatter.indentation.size", "4");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_new_line_after_annotation_on_field", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_new_line_after_annotation_on_local_variable", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_new_line_after_annotation_on_method", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_new_line_after_annotation_on_package", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_new_line_after_annotation_on_parameter", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_new_line_after_annotation_on_type", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_new_line_after_label", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_new_line_after_opening_brace_in_array_initializer", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_new_line_at_end_of_file_if_missing", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_new_line_before_catch_in_try_statement", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_new_line_before_closing_brace_in_array_initializer", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_new_line_before_else_in_if_statement", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_new_line_before_finally_in_try_statement", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_new_line_before_while_in_do_statement", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_new_line_in_empty_annotation_declaration", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_new_line_in_empty_anonymous_type_declaration", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_new_line_in_empty_block", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_new_line_in_empty_enum_constant", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_new_line_in_empty_enum_declaration", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_new_line_in_empty_method_body", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_new_line_in_empty_type_declaration", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_and_in_type_parameter", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_assignment_operator", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_at_in_annotation", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_at_in_annotation_type_declaration", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_binary_operator", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_closing_angle_bracket_in_type_arguments", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_closing_angle_bracket_in_type_parameters", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_closing_brace_in_block", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_closing_paren_in_cast", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_colon_in_assert", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_colon_in_case", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_colon_in_conditional", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_colon_in_for", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_colon_in_labeled_statement", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_comma_in_allocation_expression", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_comma_in_annotation", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_comma_in_array_initializer", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_comma_in_constructor_declaration_parameters", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_comma_in_constructor_declaration_throws", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_comma_in_enum_constant_arguments", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_comma_in_enum_declarations", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_comma_in_explicitconstructorcall_arguments", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_comma_in_for_increments", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_comma_in_for_inits", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_comma_in_method_declaration_parameters", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_comma_in_method_declaration_throws", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_comma_in_method_invocation_arguments", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_comma_in_multiple_field_declarations", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_comma_in_multiple_local_declarations", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_comma_in_parameterized_type_reference", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_comma_in_superinterfaces", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_comma_in_type_arguments", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_comma_in_type_parameters", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_ellipsis", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_opening_angle_bracket_in_parameterized_type_reference", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_opening_angle_bracket_in_type_arguments", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_opening_angle_bracket_in_type_parameters", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_opening_brace_in_array_initializer", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_opening_bracket_in_array_allocation_expression", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_opening_bracket_in_array_reference", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_opening_paren_in_annotation", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_opening_paren_in_cast", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_opening_paren_in_catch", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_opening_paren_in_constructor_declaration", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_opening_paren_in_enum_constant", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_opening_paren_in_for", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_opening_paren_in_if", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_opening_paren_in_method_declaration", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_opening_paren_in_method_invocation", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_opening_paren_in_parenthesized_expression", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_opening_paren_in_switch", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_opening_paren_in_synchronized", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_opening_paren_in_try", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_opening_paren_in_while", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_postfix_operator", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_prefix_operator", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_question_in_conditional", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_question_in_wildcard", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_semicolon_in_for", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_semicolon_in_try_resources", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_after_unary_operator", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_and_in_type_parameter", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_assignment_operator", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_at_in_annotation_type_declaration", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_binary_operator", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_closing_angle_bracket_in_parameterized_type_reference", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_closing_angle_bracket_in_type_arguments", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_closing_angle_bracket_in_type_parameters", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_closing_brace_in_array_initializer", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_closing_bracket_in_array_allocation_expression", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_closing_bracket_in_array_reference", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_closing_paren_in_annotation", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_closing_paren_in_cast", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_closing_paren_in_catch", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_closing_paren_in_constructor_declaration", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_closing_paren_in_enum_constant", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_closing_paren_in_for", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_closing_paren_in_if", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_closing_paren_in_method_declaration", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_closing_paren_in_method_invocation", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_closing_paren_in_parenthesized_expression", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_closing_paren_in_switch", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_closing_paren_in_synchronized", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_closing_paren_in_try", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_closing_paren_in_while", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_colon_in_assert", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_colon_in_case", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_colon_in_conditional", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_colon_in_default", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_colon_in_for", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_colon_in_labeled_statement", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_comma_in_allocation_expression", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_comma_in_annotation", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_comma_in_array_initializer", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_comma_in_constructor_declaration_parameters", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_comma_in_constructor_declaration_throws", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_comma_in_enum_constant_arguments", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_comma_in_enum_declarations", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_comma_in_explicitconstructorcall_arguments", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_comma_in_for_increments", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_comma_in_for_inits", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_comma_in_method_declaration_parameters", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_comma_in_method_declaration_throws", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_comma_in_method_invocation_arguments", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_comma_in_multiple_field_declarations", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_comma_in_multiple_local_declarations", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_comma_in_parameterized_type_reference", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_comma_in_superinterfaces", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_comma_in_type_arguments", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_comma_in_type_parameters", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_ellipsis", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_opening_angle_bracket_in_parameterized_type_reference", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_opening_angle_bracket_in_type_arguments", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_opening_angle_bracket_in_type_parameters", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_opening_brace_in_annotation_type_declaration", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_opening_brace_in_anonymous_type_declaration", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_opening_brace_in_array_initializer", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_opening_brace_in_block", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_opening_brace_in_constructor_declaration", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_opening_brace_in_enum_constant", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_opening_brace_in_enum_declaration", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_opening_brace_in_method_declaration", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_opening_brace_in_switch", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_opening_brace_in_type_declaration", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_opening_bracket_in_array_allocation_expression", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_opening_bracket_in_array_reference", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_opening_bracket_in_array_type_reference", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_opening_paren_in_annotation", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_opening_paren_in_annotation_type_member_declaration", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_opening_paren_in_catch", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_opening_paren_in_constructor_declaration", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_opening_paren_in_enum_constant", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_opening_paren_in_for", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_opening_paren_in_if", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_opening_paren_in_method_declaration", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_opening_paren_in_method_invocation", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_opening_paren_in_parenthesized_expression", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_opening_paren_in_switch", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_opening_paren_in_synchronized", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_opening_paren_in_try", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_opening_paren_in_while", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_parenthesized_expression_in_return", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_parenthesized_expression_in_throw", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_postfix_operator", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_prefix_operator", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_question_in_conditional", "insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_question_in_wildcard", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_semicolon", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_semicolon_in_for", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_semicolon_in_try_resources", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_before_unary_operator", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_between_brackets_in_array_type_reference", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_between_empty_braces_in_array_initializer", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_between_empty_brackets_in_array_allocation_expression", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_between_empty_parens_in_annotation_type_member_declaration", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_between_empty_parens_in_constructor_declaration", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_between_empty_parens_in_enum_constant", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_between_empty_parens_in_method_declaration", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.insert_space_between_empty_parens_in_method_invocation", "do not insert");
        OPTS.put("org.eclipse.jdt.core.formatter.join_lines_in_comments", "true");
        OPTS.put("org.eclipse.jdt.core.formatter.join_wrapped_lines", "true");
        OPTS.put("org.eclipse.jdt.core.formatter.keep_else_statement_on_same_line", "false");
        OPTS.put("org.eclipse.jdt.core.formatter.keep_empty_array_initializer_on_one_line", "false");
        OPTS.put("org.eclipse.jdt.core.formatter.keep_imple_if_on_one_line", "false");
        OPTS.put("org.eclipse.jdt.core.formatter.keep_then_statement_on_same_line", "false");
        OPTS.put("org.eclipse.jdt.core.formatter.lineSplit", "500");
        OPTS.put("org.eclipse.jdt.core.formatter.never_indent_block_comments_on_first_column", "false");
        OPTS.put("org.eclipse.jdt.core.formatter.never_indent_line_comments_on_first_column", "false");
        OPTS.put("org.eclipse.jdt.core.formatter.number_of_blank_lines_at_beginning_of_method_body", "0");
        OPTS.put("org.eclipse.jdt.core.formatter.number_of_empty_lines_to_preserve", "1");
        OPTS.put("org.eclipse.jdt.core.formatter.put_empty_statement_on_new_line", "true");
        OPTS.put("org.eclipse.jdt.core.formatter.tabulation.char", "tab");
        OPTS.put("org.eclipse.jdt.core.formatter.tabulation.size", "4");
        OPTS.put("org.eclipse.jdt.core.formatter.use_on_off_tags", "false");
        OPTS.put("org.eclipse.jdt.core.formatter.use_tabs_only_for_leading_indentations", "false");
        OPTS.put("org.eclipse.jdt.core.formatter.wrap_before_binary_operator", "true");
        OPTS.put("org.eclipse.jdt.core.formatter.wrap_before_or_operator_multicatch", "true");
        OPTS.put("org.eclipse.jdt.core.formatter.wrap_outer_expressions_when_nested", "true");
        OPTS.put("org.eclipse.jdt.core.incompatibleJDKLevel", "ignore");
        OPTS.put("org.eclipse.jdt.core.incompleteClasspath", "error");
        OPTS.put("org.eclipse.jdt.core.timeoutForParameterNameFromAttachedJavadoc", "50");

    }

    public static void applyTo(IJavaProject p)
    {
        p.setOptions(OPTS);
    }
}
